
Core - Feature # 65066

Status: Resolved Priority: Should have
Author: Job Rutgers Category:
Created: 2015-02-13 Assigned To:
Updated: 2015-07-06 Due date:
PHP Version:
Complexity:
Sprint Focus:
Subject: clear PHP opcode cache after extension update
Description

When I update an extension via the extension manager and I use PHP opcode cache with apc.stat=0 apc.canonicalize=1 I have to
clear the PHP opcode cache in the install tool. It would be nice if typo3 clear the cache automatic after an install of an extension.

Related issues:
duplicated by Core - Feature # 65279: Clear Cache and Opcode automatically af... Closed 2015-02-24

Associated revisions
Revision 6ee2b110 - 2015-07-06 14:42 - Frederic Gaus

[BUGFIX] Clear opcode cache on extension install/update

Resolves: #65066
Releases: master, 6.2
Change-Id: If3d665b696f3847d91486afcffee7b62fd32b60a
Reviewed-on: http://review.typo3.org/40801
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Reviewed-by: Stephan Großberndt <stephan@grossberndt.de>
Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>
Tested-by: Andreas Fernandez <typo3@scripting-base.de>
Reviewed-by: Markus Klein <markus.klein@typo3.org>
Tested-by: Markus Klein <markus.klein@typo3.org>
Reviewed-by: Alexander Opitz <opitz.alexander@googlemail.com>
Tested-by: Alexander Opitz <opitz.alexander@googlemail.com>

Revision e9951e33 - 2015-07-06 15:46 - Alexander Opitz

[BUGFIX] Clear opcode cache on extension install/update

Resolves: #65066
Releases: master, 6.2
Change-Id: If3d665b696f3847d91486afcffee7b62fd32b60a
Reviewed-on: http://review.typo3.org/40930
Reviewed-by: Markus Klein <markus.klein@typo3.org>
Tested-by: Markus Klein <markus.klein@typo3.org>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

History
#1 - 2015-07-01 15:22 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40801

#2 - 2015-07-06 12:33 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40801

#3 - 2015-07-06 13:16 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40801

#4 - 2015-07-06 13:21 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40801

#5 - 2015-07-06 13:40 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40801

#6 - 2015-07-06 14:47 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40930

#7 - 2015-07-06 15:00 - Frederic Gaus
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6ee2b1109e856618f8502f42fff39e53f84da337.

#8 - 2015-07-06 15:39 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 2 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40930
#9 - 2015-07-06 16:00 - Alexander Opitz
- Status changed from Under Review to Resolved

Applied in changeset commit:e9951e338621a39fb47b5b060ee7074f1c76338d.
